// include the SoftwareSerial library so you can use its functions:
#include <SoftwareSerial.h>

#define rxPin 0
#define txPin 1
const int R12= 12;      // the number of the LED pin
const int R11= 11;
const int R10= 10;      // the number of the LED pin
const int R9= 9;
const int R8= 8;      // the number of the LED pin
const int R7= 7;
const int R6= 6;      // the number of the LED pin
const int R5= 5;

// set up a new serial port
SoftwareSerial mySerial =  SoftwareSerial(rxPin, txPin);

void setup()  {
  // define pin modes for tx, rx:
  pinMode(rxPin, INPUT);
  pinMode(txPin, OUTPUT);
  pinMode(R12, OUTPUT);
  pinMode(R11, OUTPUT);
  // set the data rate for the SoftwareSerial port
  mySerial.begin(9600);
  Serial.begin(9600);
}

void loop() {
  ///mySerial.print(Serial.read());
    if (mySerial.available()>0)
    {
      int recu=mySerial.read();
      Serial.print('D');
      Serial.println(recu);
      if (recu==65)
       {
          digitalWrite(R6, LOW);
          Serial.println("A");
       }
      if (recu==66)
      {
          digitalWrite(R6, HIGH);
          Serial.println("B");
      }
      if (recu==67)
       {
          digitalWrite(R5, LOW);
          Serial.println("C");
       }
      if (recu==68)
      {
          digitalWrite(R5, HIGH);
          Serial.println("D");
      }
    }
    
}
