#include <ESP8266WiFi.h>

WiFiServer server(80);

void setup() {
  // put your setup code here, to run once:
  WiFi.mode(WIFI_AP); //AccessPoint
  WiFi.softAP("Hu","toutoutoutou"); //preparer connexion
  server.begin(); //demarrer serveur http

  Serial.begin(9600);
  IPAddress HTTPS_ServerIP = WiFi.softAPIP();
  Serial.print("Adresse IP: ");
  Serial.println(HTTPS_ServerIP);

  
}

void loop() {
  // put your main code here, to run repeatedly:
  WiFiClient client = server.available();
    if(!client) {
      return;
    }

    Serial.println("Connecté");

    //Read what the browser has sent into a String class and print the request to the monitor
    String request = client.readString();
    //Looking under the hood
    Serial.println(request);

}
